1. All
Attribuly Developers
  • Public API
    • API Authentication Guide
    • Attribution
      • All
        • Get attribution report
          POST
        • Get total numbers
          POST
      • Ads
        • Channel/Campaign/Ad-set/Ad level ads attribution
        • list all customer level details
        • Customer level report for a specific campaign
      • Product analytics
        • List product analytics
        • List total data for product analysis
        • Attribution report for a single product
        • Total attribution report for a single product
      • Web Analytics
        • Web Analytics
        • Get total numbers
    • Tracking links
      • Influencer
      • Link Builder
    • Store
      • Raw Events
      • Customer journey of an order
      • Order First & Last Touchpoint of an order
      • Event summary of a landing page
    • Setting
      • Attribution models
      • Conversion Goals
    • Connections
      • List Source
      • List Destination
  • Push data to Attribuly
    • Quick Start
    • Events
      • Page viewed
      • Cart viewed
      • Product viewed
      • Collection viewed
      • Search submitted
      • Product added to cart
      • Product removed to cart
      • Lead form
      • Checkout started
      • Payment info submitted
      • Checkout completed
      • Checkout address info submitted
      • Checkout contact info submitted
      • Checkout shipping info submitted
      • Basic
        • Checkout
        • Context
        • Document
        • MailAddress
        • Navigator
        • Window
    • Store
      • Order
      • Customers
      • Products
  • Attribuly MCP Server
    • MCP Configure
  1. All

Get attribution report

prod
https://data.api.attribuly.com
prod
https://data.api.attribuly.com
POST
/{version}/api/all-attribution/get-list
Obtain a detailed attribution report
Rate limits: 5 requests per second.
version: v2-4-2.

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://data.api.attribuly.com/v2-4-2/api/all-attribution/get-list' \
--header 'ApiKey: 15xvome1000dh5vsow9geg7110yi43zd' \
--header 'Content-Type: application/json' \
--data-raw '{
  "start_date": "2026-03-01",
  "end_date": "2026-03-18",
  "dimensions": [
    "channel"
  ],
  "model": "first",
  "goal": "purchase",
  "orders": [
    {
      "column": "conversions",
      "order": "desc"
    }
  ],
  "page": 1,
  "page_size": 20
}'
Response Response Example
{
    "code": 1,
    "message": "succeed",
    "data": {
        "total": 0,
        "page_size": 0,
        "records": [
            {
                "campaign": "test-campaign",
                "channel": "test-campaign",
                "source": "",
                "platform": "",
                "medium": "",
                "landing_page": "",
                "conversions": 0,
                "new_lead_conversions": 0,
                "conversion_value": 0,
                "spend": 0,
                "clicks": 0,
                "ad_conversion_value": 0,
                "impressions": 0,
                "roas": 0,
                "ad_roas": 0,
                "cpa": 0,
                "cpm": 0,
                "cpc": 0,
                "net_profit": 0,
                "net_margin": 0,
                "ltv": 0
            }
        ]
    }
}
Modified at 2026-03-18 13:26:33
Previous
API Authentication Guide
Next
Get total numbers
Built with